summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2014-11-22 17:48:51 +0200
committerLars Wirzenius <liw@liw.fi>2014-11-22 17:48:51 +0200
commit85a797cc7339e9d49d0d6eb75018d42fb9897113 (patch)
tree0afc895e24b3eb518eda9eb0e1292b5dc25bb0a8
parentbd7f026a8141ab44f8f8d5e2f2a6bfcad8c73d4a (diff)
downloadjt-85a797cc7339e9d49d0d6eb75018d42fb9897113.tar.gz
Add script to run test suite
-rwxr-xr-xcheck23
1 files changed, 23 insertions, 0 deletions
diff --git a/check b/check
new file mode 100755
index 0000000..97732a4
--- /dev/null
+++ b/check
@@ -0,0 +1,23 @@
+#!/bin/sh
+# Copyright 2014 Lars Wirzenius
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+# =*= License: GPL-3+ =*=
+
+
+set -eu
+
+
+yarn yarns/*.yarn "$@"